com.fasterxml.jackson.core.util

## Enum Separators.Spacing

- java.lang.Object
- - java.lang.Enum<Separators.Spacing>
  - - com.fasterxml.jackson.core.util.Separators.Spacing

All Implemented Interfaces:
  Serializable, Comparable<Separators.Spacing>

Enclosing class:
  Separators

    public static enum Separators.Spacing
    extends Enum<Separators.Spacing>

Define the spacing around elements like commas and colons.

Since:
  2.16

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AFTER`
`BEFORE`
`BOTH`
`NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `apply(char separator)`
`String` `spacesAfter()`
`String` `spacesBefore()`
`static Separators.Spacing` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Separators.Spacing[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final Separators.Spacing NONE

#### BEFORE

    public static final Separators.Spacing BEFORE

#### AFTER

    public static final Separators.Spacing AFTER

#### BOTH

    public static final Separators.Spacing BOTH

### Method Detail

#### values

    public static Separators.Spacing[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Separators.Spacing c : Separators.Spacing.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Separators.Spacing valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### spacesBefore

    public String spacesBefore()

#### spacesAfter

    public String spacesAfter()

#### apply

    public String apply(char separator)